body {
    padding-top: 50px;
    padding-bottom: 20px;
    min-height: 100vh;
}

p {
    text-align: justify;
}

.input-validation-error {
    border: 2px solid #e74c3c;
}

.field-validation-error {
    color: #e74c3c;
    display: block;
}

h1:first-child {
    /* .page-header */
    padding-bottom: 9.5px;
    margin: 42px 0 21px;
    border-bottom: 1px solid transparent;
}

@media(max-width: 800px) {
    h1 {
        font-size: 28px;
    }

        h1:first-child {
            margin: auto;
        }
}

.body-content {
    margin-top: 30px;
    padding-left: 15px;
    padding-right: 15px;
    margin-left: 10px;
    margin-right: 10px;
    width: inherit;
    min-height: 85vh;
    display: flex;
    flex-direction: column;
}

@media (max-width: 800px) {
    .body-content {
        padding: 10px 5px;
        margin: 0;
        height: 100%;
    }
}

@media (min-width: 1000px) {
    .body-content {
        margin-top: 30px;
        padding-left: 15px;
        padding-right: 15px;
        margin-left: 100px;
        margin-right: 100px;
        width: inherit;
    }
}

.memorandum-ranking-button .caret {
    margin-left: 10px;
}

@media (min-width: 768px) {
    .feedback-modal .modal-dialog {
        width: 768px;
        margin: 30px auto;
    }
}

.feedback-modal input[type="radio"] {
    width: 20px;
    height: 20px;
}

.feedback-modal .row {
    margin-bottom: 10px;
}

@media (min-width: 768px) {
    .popover {
        width: 700px;
        max-width: 700px;
    }
}

.carousel-inner img {
    margin: auto;
}

.carousel-control.right {
    background: none;
    color: #3498db;
    opacity: 1;
}

    .carousel-control.right:hover {
        color: #2c3e50;
    }

.carousel-control.left {
    background: none;
    color: #3498db;
    opacity: 1;
}

    .carousel-control.left:hover {
        color: #2c3e50;
    }

.short-news-date {
    color: #3498db;
    font-size: small;
}

.short-news-title {
    color: white;
    font-size: large;
}

.navbar {
    padding: 10px 0px;
}

.navbar-header img {
    float: left;
    margin-right: 50px;
    max-width: 250px;
    width: 100px;
    height: auto;
}

@media (max-width: 540px) {
    .navbar {
        padding: 0;
    }

    .navbar-header {
        box-shadow: 0px 0px 5px grey;
    }

        .navbar-header img {
            margin-right: 50px;
            margin-left: 5px;
            width: 50px;
        }
}

.navbar {
    text-transform: uppercase;
}

.jumbotron {
    padding-top: 5px;
    padding-bottom: 5px;
    text-align: center;
    margin-top: -30px;
    margin-bottom: 0px;
}

.navbar-nav > li > a:hover,
.navbar-nav > li > afocus {
    text-decoration: underline;
}

.jumbotron h1 {
    font-size: 50px;
}

.navbar-collapse {
    margin-top: 21px;
}

.jumbotron img {
    float: left;
    margin-right: 20px;
    height: 80px;
}

.anchor-offset-by-fixed-navbar {
    display: block;
    position: relative;
    top: -250px;
    visibility: hidden;
}

@media (max-width: 992px) {
    .jumbotron h1 {
        font-size: 30px;
    }
}

@media (max-width: 540px) {
    .jumbotron img {
        display: none;
    }
}

.panel-navigator .panel-footer {
    padding: 0;
}

    .panel-navigator .panel-footer a {
        display: block;
        padding: 10px 15px;
        border-top: 1px solid #2c3e50;
        color: #2c3e50;
    }

.panel-navigator .panel-info .panel-footer a {
    border-top-color: #3498db;
    color: #3498db;
}

.panel-navigator h2 {
    margin: 0;
}

.panel-navigator .panel-heading i {
    font-size: 32px;
}

.withattr {
    padding: 1rem;
}

.short-news-container-row {
    overflow: hidden;
}

.short-news-container-col {
    margin-bottom: -99999px;
    padding-bottom: 99999px;
    background-color: #2c3e50;
    color: white;
    border-radius: 4px;
}

.short-news-separator {
    border: dotted 1px gray;
}

.alert-success a, .alert-warning a, .alert-info a {
    color: white;
    text-decoration: underline;
}

    .alert-success a:hover, .alert-warning a:hover, .alert-info a:hover {
        text-decoration: none;
    }

.admin-dashboard .panel-heading i {
    font-size: 32px;
}

.admin-dashboard .huge {
    font-size: 32px;
}

.table-striped > tbody > tr:nth-child(odd) > td {
    background-color: lightgrey;
}

    .table-striped > tbody > tr:nth-child(odd) > td.alert-warning {
        background-color: #f39c12;
    }

.table-striped > tbody > tr > td.alert-warning:hover {
    background-color: #f39c12;
}

ul.registration-details {
    padding-left: 0;
}

    ul.registration-details li {
        list-style: none;
        margin-bottom: 5px;
    }

    ul.registration-details .field-name {
        display: inline-block;
        font-weight: bold;
        width: 140px;
    }

ul.memorandum-nomination {
    padding-left: 0;
}

    ul.memorandum-nomination li {
        display: inline;
        list-style-type: none;
        padding-right: 20px;
    }

form.delete-link {
    display: inline;
}

.delete-link{
    padding: 1rem 2rem 0 0.5rem;
}

form.other-link {
    display: inline;
}

form.other-link button, form.other-link button:hover {
    padding: 0;
}

.delete-link button, .delete-link button:hover {
    padding: 0;
    color: red;
}

#cookieGuardMsg {
    position: fixed !important;
}

@media (max-width: 945px) {
    #cookieGuardMsg {
        font-size: 10px !important;
    }

    #cookieGuardMsgInner {
        padding-bottom: 43px !important;
    }

    #showCookies {
        top: 43px !important;
        left: 125px !important;
    }

    #authoriseCookies, #cookieGuardOkay {
        top: 43px !important;
        left: 190px !important;
    }

    #denyCookies {
        top: 43px !important;
        left: 255px !important;
    }

    #cookieList {
        margin-top: 30px;
    }
}

body.Deployment-Test .navbar-default {
    background-color: red;
}

    body.Deployment-Test .navbar-default a:hover {
        color: black;
    }

    body.Deployment-Test .navbar-default .dropdown ul a:hover {
        color: white;
    }

body.Deployment-CI .navbar-default {
    background-color: green;
}

    body.Deployment-CI .navbar-default a:hover {
        color: black;
    }

    body.Deployment-CI .navbar-default .dropdown ul a:hover {
        color: white;
    }

.attachments-list {
    list-style-type: none;
    margin-top: 20px;
    padding: 0;
}

    .attachments-list li {
        padding: 0 0 2px 0;
    }

table.hearing-schedule {
    margin-top: 10px;
    margin-bottom: 10px;
}

    table.hearing-schedule td, table.hearing-schedule th {
        padding: 5px 10px;
    }

    table.hearing-schedule label {
        font-weight: normal;
    }

    table.hearing-schedule .timeslot-description {
        margin-left: 20px;
    }

.checkbox .required {
    display: none;
}

.conflict-country, .conflict-university {
    margin-bottom: 10px;
}

li.highlight {
    font-weight: bold;
    font-size: 18px;
}

.validation-summary-valid {
    display: none;
}

#badge-preview {
    min-height: 100px;
    position: relative;
    margin: 0 auto 20px auto;
    width: 500px;
    border: 1px solid #dce4ec;
    padding: 0 20px 20px 100px;
    -webkit-box-shadow: 1px 1px 5px 0px rgba(50, 50, 50, 0.75);
    -moz-box-shadow: 1px 1px 5px 0px rgba(50, 50, 50, 0.75);
    box-shadow: 1px 1px 5px 0px rgba(50, 50, 50, 0.75);
}

    #badge-preview h3 {
        text-align: center;
        margin-top: 0;
        color: #CCC;
        font-size: 12px;
        margin-bottom: 20px;
    }

    #badge-preview p {
        text-align: center;
    }

#badge-preview-group {
    text-transform: uppercase;
}

#badge-preview img {
    margin-top: -30px;
    position: absolute;
    top: 50%;
    left: 20px;
    width: 60px;
}

td .select2-container {
    display: block;
}

tr.pending td, tr td.pending {
    background-image: url("../images/ajax-loader.gif") !important;
    background-position: 50% 50% !important;
    background-repeat: no-repeat !important;
}

/* Couldn't get the above pending working in some situations */
tr.blocking-pending td::after {
    content: '';
    position: absolute;
    height: 100%;
    width: 100%;
    background-image: url("../images/ajax-loader.gif") !important;
    background-position: 50% 50% !important;
    background-repeat: no-repeat !important;
    background-color: rgba(0,0,0,0.2);
    top: 0;
    left: 0;
}

td {
    position: relative;
}

tr td.teamWantToSeeRule {
    background-color: #cccccc !important;
}

tr.blacklistedArbitrator td, tr td.blacklistedArbitrator {
    background-color: #000000 !important;
    color: white;
}

tr td.multipleNonGeneralRoundsRule {
    background-color: #dce4ec !important;
}

tr.legalFamilyRule td, tr.nationalityRule td {
    background-color: #20b2aa !important;
}

    tr.nationalityRule td a {
        color: #FFF;
    }

tr.rankingRule td, tr.arbitratorNationalityRule td {
    background-color: #eee8aa !important;
}

td.subgroupRule {
    border: 2px solid darkred !important;
}

tr.arbitratorLegalFamilyRule td {
    background-color: #3498db !important;
    color: #FFF;
}

    tr.arbitratorLegalFamilyRule td a {
        color: #FFF;
    }

tr.consecutiveScheduleRule td {
    background-color: #dce4ec !important;
}

tr.countryRule td, tr td.chairpersonRule {
    background-color: #d2b48c !important;
}

    tr td.chairpersonRule a {
        color: #FFF;
    }

tr.norespondentdoc td {
    background-color: yellow !important;
}

tr.sameCountry td, tr.sameTeamRule td, tr.maxHearingsRule td {
    background-color: pink !important;
}

tr.minCredentialsScoreRule td {
    background-color: #00fa9a !important;
}

tr.conflictRule td, tr td.conflictRule {
    background-color: #f08080 !important;
}

    tr td.conflictRule a {
        color: #FFF;
    }

tr.notMatched td, tr td.unmatched {
    background-color: orange !important;
}

tr td.missing {
    color: white;
    background-color: red !important;
    transform: scale(1.1);
}

tr.notDistributedEnough td {
    background-color: yellow !important;
}

tr.danger td, tr td.danger {
    background-color: #e74c3c !important;
}

tr[ts-repeat].showIfLast {
    display: none;
}

i[ng-click] {
    cursor: pointer;
}

.highlighted {
    background-color: #00ff00;
}

.select2-container {
    min-width: 200px;
}

vismoot-tribunal-matching-table td {
    position: relative;
}

vismoot-tribunal-matching-table .glyphicon-warning-sign {
    color: #f39c12;
    position: absolute;
    top: 1px;
    right: 1px;
    font-size: 150%;
}

.select-timeslot label {
    margin-right: 10px;
}

.select-timeslot .btn-group {
    margin-left: 10px;
}

/* http://css-tricks.com/rotated-table-column-headers/ */
th.rotate {
    height: 160px;
    white-space: nowrap;
}

    th.rotate > div {
        transform: rotate(90deg);
        width: 30px;
    }

        th.rotate > div > span {
            border-bottom: 1px solid #ccc;
            padding: 5px 10px;
        }

#scoringWorksheet tbody td {
    border: 1px solid #ccc;
    padding: 5px 10px;
}

.registration-success a {
    font-size: 16px;
}

.arbitrator-bio {
    clear: left;
    margin-bottom: 20px;
    padding-top: 20px;
    border-top: 1px solid #CCC;
}

    .arbitrator-bio h2 {
        margin-top: 0;
    }

    .arbitrator-bio img {
        float: left;
        margin-right: 20px;
        margin-bottom: 10px;
    }

    .arbitrator-bio .indent {
        margin-left: 220px;
    }

.hearing-schedule-iframe {
    display: inline-block;
    width: 100%;
    border: none;
    overflow: hidden;
}

.opt-in-radio-button-label {
    color: dodgerblue;
}

.loading-overlay {
    background: #e9e9e9;
    position: absolute;
    display: block;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    opacity: 0.5;
    z-index: 999;
}

.loading-overlay-spinner {
    display: block;
    position: fixed;
    z-index: 1031;
    top: 50%;
    right: 50%;
}

.loader {
    width: 100px;
    height: 100px;
    border-radius: 100%;
    position: relative;
    margin: 0 auto;
}

/* LOADER 1 */

#loader-1:before, #loader-1:after {
    content: "";
    position: absolute;
    top: -10px;
    left: -10px;
    width: 100%;
    height: 100%;
    border-radius: 100%;
    border: 10px solid transparent;
    border-top-color: #db3434;
}

#loader-1:before {
    z-index: 100;
    animation: spin 1s infinite;
}

#loader-1:after {
    border: 10px solid #ccc;
}

@keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        -ms-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.savescoresmodal, .truncatetribunalmodal {
    background: white;
    width: 50rem;
    height: 35rem;
    margin: auto;
}

.hearing-schedule-table {
}

@media (max-width: 800px) {
    .hearing-schedule-table thead {
        display: none;
    }

    .hearing-schedule-table tbody tr {
        display: flex;
        flex-wrap: wrap;
        width: 100vw;
        justify-content: space-between;
        border-bottom: 2px solid darkgray;
    }

        .hearing-schedule-table tbody tr td {
            width: 50vw;
        }

            .hearing-schedule-table tbody tr td:nth-of-type(1):before {
                content: "Timeslot";
                font-weight: bold;
            }

            .hearing-schedule-table tbody tr td:nth-of-type(2):before {
                content: "Room";
                font-weight: bold;
            }

            .hearing-schedule-table tbody tr td:nth-of-type(3):before {
                content: "Claimant";
                font-weight: bold;
            }

            .hearing-schedule-table tbody tr td:nth-of-type(4):before {
                content: "Respondent";
                font-weight: bold;
            }

            .hearing-schedule-table tbody tr td:nth-of-type(7):before {
                content: "Scores";
                font-weight: bold;
            }

            .hearing-schedule-table tbody tr td::before {
                font-size: 1rem;
                display: block;
            }
}

.clear-button {
    padding: 0.5rem;
    white-space: break-spaces;
}

footer {
    margin-top: auto;
}

.my-select-container {
    position: absolute;
    max-height: 40rem;
    overflow-y: auto;
    padding: 10px;
    min-width: 30rem;
    z-index: 5;
    background: white;
    border: 1px solid gray;
    box-shadow: 0 2px 5px 0 black;
    border-radius: 2px;
    margin: 2px 0px;
}

.my-select-display {
    display: block;
    border: 1px solid gray;
    padding: 5px 10px;
    border-radius: 5px;
    min-width: 30rem;
    height: 3rem;
    cursor: pointer;
}


.my-select-container .my-select-inside {
    padding: 5px;
    cursor: pointer;
    min-height: 3rem;
}


.my-select-container input {
    border: 1px solid gray;
    border-radius: 5px;
    padding: 5px;
    width: 100%;
}

.my-select-container .my-select-inside:hover {
    background: lightblue;
}

.nice-text {
    border: 1px solid grey;
    padding: 5px 10px;
    border-radius: 5px;
}

.scheduling ul {
    list-style-type: none;
}

.scheduling .flexer {
    display: flex;
    margin: 0;
    padding: 0;
}

.scheduling h3 {
    text-align: center;
}

.scheduling .timeslot {
    margin-left: 10px;
}

.scheduling .new-room {
    background: #e74c3c;
}

.scheduling .new-room td {
    background: #e74c3c;
}

.scheduling .add-button {
    vertical-align: middle;
    border: none;
    padding: 5px 10px;
    border-radius: 5px;
}

.nice-select {
    padding: 5px 10px;
    border-radius: 5px;
}

.scheduling-matching select {
    width: 20rem;
}

.not-participating {
    text-decoration: line-through;
}

.filter-area {
    display: flex;
    justify-content: space-between;
    margin-bottom: 1rem;
}

.filter-section {
    display: flex;
    align-items: end;
    gap: 10px;
}

.filter-section > input {
    height: auto;
}

.filter-section > div {
    display: flex;
    flex-direction: column;
}

.unsure-disabled > div > label:has(input[value="Unsure"]) {
    pointer-events: none;
    color: gray;
}

.input-group {
    display: flex;

    > :first-child{
        width: 100%;
    }
}

.required {
    width: 30px;
    background: #ecf0f1;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
    font-size: 2rem;
    align-content: center;
    text-align: center;
    border: 1px solid #dce4ec;
    color: black;
    border-left: none;
    padding-top: 0.75rem;
}